# Interface MMenuElement

All Superinterfaces:
  `MApplicationElement, MLocalizable, MUIElement, MUILabel`

All Known Subinterfaces:
  `MDirectMenuItem, MDynamicMenuContribution, MHandledMenuItem, MMenu, MMenuItem, MMenuSeparator, MPopupMenu`

All Known Implementing Classes:
  `DirectMenuItemImpl, DynamicMenuContributionImpl, HandledMenuItemImpl, MenuElementImpl, MenuImpl, MenuItemImpl, MenuSeparatorImpl, PopupMenuImpl`

public interface MMenuElement extends MUIElement, MUILabel
A representation of the model object 'Element'.

This is the bsae type for both menu items and Separators.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Mnemonics`

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMnemonics()`
`String`
`getMnemonics()`
Returns the value of the 'Mnemonics' attribute.
`void`
`setMnemonics(String value)`
Sets the value of the '`Mnemonics`' attribute.

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface MUILabel

`getIconURI, getLabel, getLocalizedLabel, getLocalizedTooltip, getTooltip, setIconURI, setLabel, setTooltip`

## Method Details

### getMnemonics

String getMnemonics()
Returns the value of the 'Mnemonics' attribute.

This is the character that is interpreted by the platform to allow for easier navigation through menus.

Returns:
  the value of the 'Mnemonics' attribute.
See Also:
  - `setMnemonics(String)`

### setMnemonics

void setMnemonics(String value)
Sets the value of the '`Mnemonics`' attribute.

Parameters:
  `value` - the new value of the 'Mnemonics' attribute.
See Also:
  - `getMnemonics()`

### getLocalizedMnemonics

String getLocalizedMnemonics()

This is a method that will return the translated mnemonic for this element.